Index: trunk/libIGCM/AA_additionnal
===================================================================
--- trunk/libIGCM/AA_additionnal	(revision 2)
+++ trunk/libIGCM/AA_additionnal	(revision 4)
@@ -31,5 +31,5 @@
 #-Q- default ##################
 
-# $Date: 2008/04/07 13:04:28 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.4 $
Index: trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZ	(revision 2)
+++ trunk/libIGCM/AA_atlas_LMDZ	(revision 4)
@@ -31,5 +31,5 @@
 #-Q- default ##################
 
-# $Date: 2007/12/04 13:43:19 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.8 $
Index: trunk/libIGCM/AA_atlas_LMDZOR
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZOR	(revision 2)
+++ trunk/libIGCM/AA_atlas_LMDZOR	(revision 4)
@@ -31,5 +31,5 @@
 #-Q- default ##################
 
-# $Date: 2007/12/04 13:43:19 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.10 $
Index: trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 2)
+++ trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 4)
@@ -31,5 +31,5 @@
 #-Q- default ##################
 
-# $Date: 2008/01/23 06:46:00 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.13 $
Index: trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 2)
+++ trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 4)
@@ -31,5 +31,5 @@
 #-Q- default ##################
 
-# $Date: 2007/12/04 13:43:19 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.7 $
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 2)
+++ trunk/libIGCM/AA_create_se	(revision 4)
@@ -39,5 +39,5 @@
 #-Q- sx8brodie export OMP_NUM_THREADS=1
 
-# $Date: 2008/04/07 13:04:28 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.15 $
Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 2)
+++ trunk/libIGCM/AA_create_ts	(revision 4)
@@ -39,5 +39,5 @@
 #-Q- sx8brodie export OMP_NUM_THREADS=1
 
-# $Date: 2008/04/03 10:35:05 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.36 $
Index: trunk/libIGCM/AA_job
===================================================================
--- trunk/libIGCM/AA_job	(revision 2)
+++ trunk/libIGCM/AA_job	(revision 4)
@@ -42,5 +42,5 @@
 #-Q- default #BATCH_NUM_PROC_TOT=::JobNumProcTot::
 
-# $Date: 2008/03/03 14:45:44 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.33 $
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 2)
+++ trunk/libIGCM/AA_monitoring	(revision 4)
@@ -31,5 +31,5 @@
 #-Q- default ##################
 
-# $Date: 2008/03/25 10:13:23 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.9 $
Index: trunk/libIGCM/libIGCM_card/IGCM_card_PrintOption.awk
===================================================================
--- trunk/libIGCM/libIGCM_card/IGCM_card_PrintOption.awk	(revision 2)
+++ trunk/libIGCM/libIGCM_card/IGCM_card_PrintOption.awk	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Patrick Brockmann
 # Contact: Patrick.Brockmann@cea.fr
-# $Date: 2006/12/22 15:26:28 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.3 $
Index: trunk/libIGCM/libIGCM_card/IGCM_card_PrintSection.awk
===================================================================
--- trunk/libIGCM/libIGCM_card/IGCM_card_PrintSection.awk	(revision 2)
+++ trunk/libIGCM/libIGCM_card/IGCM_card_PrintSection.awk	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Patrick Brockmann
 # Contact: Patrick.Brockmann@cea.fr
-# $Date: 2006/12/22 15:26:28 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.3 $
Index: trunk/libIGCM/libIGCM_card/IGCM_card_Test.ksh
===================================================================
--- trunk/libIGCM/libIGCM_card/IGCM_card_Test.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_card/IGCM_card_Test.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Patrick Brockmann
 # Contact: Patrick.Brockmann@cea.fr
-# $Date: 2007/10/26 14:11:25 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.5 $
Index: trunk/libIGCM/libIGCM_card/IGCM_card_WriteOption.awk
===================================================================
--- trunk/libIGCM/libIGCM_card/IGCM_card_WriteOption.awk	(revision 2)
+++ trunk/libIGCM/libIGCM_card/IGCM_card_WriteOption.awk	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Patrick Brockmann
 # Contact: Patrick.Brockmann@cea.fr
-# $Date: 2008/01/10 16:05:58 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.5 $
Index: trunk/libIGCM/libIGCM_card/libIGCM_card.ksh
===================================================================
--- trunk/libIGCM/libIGCM_card/libIGCM_card.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_card/libIGCM_card.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Patrick Brockmann
 # Contact: Patrick.Brockmann@cea.fr
-# $Date: 2007/03/15 10:40:19 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.7 $
Index: trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil, Martial Mancip
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr Martial.Mancip@ipsl.jussieu.fr
-# $Date: 2008/01/28 02:50:21 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.28 $
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil, Martial Mancip
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr Martial.Mancip@ipsl.jussieu.fr
-# $Date: 2008/03/03 14:48:50 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.29 $
Index: trunk/libIGCM/libIGCM_date/IGCM_date_Test.ksh
===================================================================
--- trunk/libIGCM/libIGCM_date/IGCM_date_Test.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_date/IGCM_date_Test.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr
-# $Date: 2007/03/15 10:33:01 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.4 $
Index: trunk/libIGCM/libIGCM_date/libIGCM_date.ksh
===================================================================
--- trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr
-# $Date: 2007/03/15 10:31:26 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.12 $
Index: trunk/libIGCM/libIGCM_debug/IGCM_debug_Test.ksh
===================================================================
--- trunk/libIGCM/libIGCM_debug/IGCM_debug_Test.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_debug/IGCM_debug_Test.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Patrick Brockmann
 # Contact: Patrick.Brockmann@cea.fr
-# $Date: 2006/12/22 15:26:29 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.2 $
Index: trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Patrick Brockmann, Martial Mancip
 # Contact: Patrick.Brockmann@cea.fr Martial.Mancip@ipsl.jussieu.fr
-# $Date: 2007/10/12 15:17:48 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.18 $
Index: trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh
===================================================================
--- trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Martial Mancip
 # Contact: Martial.Mancip_ipsl.jussieu.fr
-# $Date: 2008/03/03 14:54:07 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.4 $
Index: trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr
-# $Date: 2008/03/18 15:06:17 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.24 $
Index: trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk
===================================================================
--- trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk	(revision 4)
@@ -7,5 +7,5 @@
 # Author: Martial.Mancip
 # Contact: Martial.Mancip@ipsl.jussieu.fr
-# $Date: 2007/11/14 10:27:25 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.7 $
Index: trunk/libIGCM/libIGCM_sys/IGCM_analyse_rsync_out.awk
===================================================================
--- trunk/libIGCM/libIGCM_sys/IGCM_analyse_rsync_out.awk	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/IGCM_analyse_rsync_out.awk	(revision 4)
@@ -8,5 +8,5 @@
 # Author: Martial.Mancip
 # Contact: Martial.Mancip_ipsl.jussieu.fr
-# $Date: 2006/12/21 20:51:49 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.2 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Martial Mancip
 # Contact: Martial.Mancip@ipsl.jussieu.fr
-# $Date: 2008/03/14 11:20:54 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.11 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sébastien Denvil
 # Contact: sebastien.denvil.@ipsl.jussieu.fr
-# $Date: 2008/03/03 14:55:23 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.38 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil, Martial Mancip
 # Contact: Martial.Mancip_ipsl.jussieu.fr
-# $Date: 2008/03/13 17:25:18 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.18 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil, Martial Mancip
 # Contact: Martial.Mancip_ipsl.jussieu.fr
-# $Date: 2008/03/13 17:25:18 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.10 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil, Martial Mancip
 # Contact: Martial.Mancip_ipsl.jussieu.fr
-# $Date: 2008/03/13 17:25:18 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.24 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil, Martial Mancip
 # Contact: Martial.Mancip_ipsl.jussieu.fr
-# $Date: 2008/02/25 13:36:26 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.43 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil, Martial Mancip
 # Contact: Martial.Mancip_ipsl.jussieu.fr
-# $Date: 2008/03/13 17:23:08 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.35 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil, Martial Mancip
 # Contact: Martial.Mancip_ipsl.jussieu.fr
-# $Date: 2008/02/26 17:02:08 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.6 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sebastien Denvil
 # Contact: sebastien.denvil.@ipsl.jussieu.fr
-# $Date: 2008/03/25 10:13:24 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.28 $
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh	(revision 2)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh	(revision 4)
@@ -4,5 +4,5 @@
 # Author: Sébastien Denvil
 # Contact: sebastien.denvil.@ipsl.jussieu.fr
-# $Date: 2008/03/14 11:20:54 $
+# $Date$
 # $Name: libIGCM_v1 $
 # $Revision: 1.1 $