Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 4)
+++ /trunk/libIGCM/AA_additionnal	(revision 5)
@@ -32,6 +32,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.4 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 4)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 5)
@@ -32,6 +32,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.8 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/AA_atlas_LMDZOR
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZOR	(revision 4)
+++ /trunk/libIGCM/AA_atlas_LMDZOR	(revision 5)
@@ -32,6 +32,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.10 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 4)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 5)
@@ -32,6 +32,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.13 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 4)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 5)
@@ -32,6 +32,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.7 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 4)
+++ /trunk/libIGCM/AA_create_se	(revision 5)
@@ -40,6 +40,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.15 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 4)
+++ /trunk/libIGCM/AA_create_ts	(revision 5)
@@ -40,6 +40,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.36 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 4)
+++ /trunk/libIGCM/AA_job	(revision 5)
@@ -43,6 +43,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.33 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 4)
+++ /trunk/libIGCM/AA_monitoring	(revision 5)
@@ -32,6 +32,6 @@
 
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.9 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_card/IGCM_card_PrintOption.awk
===================================================================
--- /trunk/libIGCM/libIGCM_card/IGCM_card_PrintOption.awk	(revision 4)
+++ /trunk/libIGCM/libIGCM_card/IGCM_card_PrintOption.awk	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Patrick.Brockmann@cea.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.3 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -43,5 +43,5 @@
 exit_value=0
 if (nbarg != 4) {
-	print "Usage: IGCM_card_PrintOption [-d] file section option" 
+	print "Usage:  $
 	print 
 	print "Args:"
Index: /trunk/libIGCM/libIGCM_card/IGCM_card_PrintSection.awk
===================================================================
--- /trunk/libIGCM/libIGCM_card/IGCM_card_PrintSection.awk	(revision 4)
+++ /trunk/libIGCM/libIGCM_card/IGCM_card_PrintSection.awk	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Patrick.Brockmann@cea.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.3 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -41,5 +41,5 @@
 exit_value=0
 if (nbarg != 3) {
-	print "Usage: IGCM_card_PrintSection [-d] file section" 
+	print "Usage:  $
 	print 
 	print "Args:"
Index: /trunk/libIGCM/libIGCM_card/IGCM_card_Test.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_card/IGCM_card_Test.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_card/IGCM_card_Test.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Patrick.Brockmann@cea.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.5 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_card/IGCM_card_WriteOption.awk
===================================================================
--- /trunk/libIGCM/libIGCM_card/IGCM_card_WriteOption.awk	(revision 4)
+++ /trunk/libIGCM/libIGCM_card/IGCM_card_WriteOption.awk	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Patrick.Brockmann@cea.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.5 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_card/libIGCM_card.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_card/libIGCM_card.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_card/libIGCM_card.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Patrick.Brockmann@cea.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.7 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr Martial.Mancip@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.28 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr Martial.Mancip@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.29 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -204,5 +204,5 @@
 		(( PeriodLengthInDays = 1 )) ;;
 	    *) 
-		IGCM_debug_Exit "IGCM_config_PeriodStart " ${config_UserChoices_PeriodLength} " invalid period length : choose in 1Y, 1M, 5D, 1D." 
+		IGCM_debug_Exit "IGCM_config_PeriodStart " ${config_UserChoices_PeriodLength} " invalid period length :  $
 		IGCM_debug_Verif_Exit ;;
 	esac
Index: /trunk/libIGCM/libIGCM_date/IGCM_date_Test.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_date/IGCM_date_Test.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_date/IGCM_date_Test.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.4 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_date/libIGCM_date.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.12 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -218,5 +218,5 @@
 #D-#==================================================================
 #D-function IGCM_date_DaysInMonth
-#D-* Purpose: Calculate the number of days in a month 
+#D-* Purpose:  $
 #D-* Usage: IGCM_date_DaysInMonth yyyy mm
 #D-         or IGCM_date_DaysInMonth yyyymmdd
@@ -493,5 +493,5 @@
 #D-#==================================================================
 #D-function IGCM_date_DaysBetweenJulianDate
-#D-* Purpose: Calculate the days difference between two dates and reports 
+#D-* Purpose:  $
 #D-           the number days as jul1 - jul2 
 #D-* Usage: IGCM_date_DaysBetweenJulianDate jul1 jul2
@@ -578,5 +578,5 @@
 #D-#==================================================================
 #D-function IGCM_date_DaysBetweenGregorianDate ()
-#D-* Purpose: Calculate the days difference between two dates and reports 
+#D-* Purpose:  $
 #D-           the number days as grg1 - grg2 
 #D-* Usage: IGCM_date_DaysBetweenGregorianDate grg1 grg2
Index: /trunk/libIGCM/libIGCM_debug/IGCM_debug_Test.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_debug/IGCM_debug_Test.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_debug/IGCM_debug_Test.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Patrick.Brockmann@cea.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.2 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Patrick.Brockmann@cea.fr Martial.Mancip@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.18 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Martial.Mancip_ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.4 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Sebastien.Denvil@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.24 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk
===================================================================
--- /trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk	(revision 5)
@@ -8,6 +8,6 @@
 # Contact: Martial.Mancip@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.7 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -43,5 +43,5 @@
   exit_value=0
   if (nbarg != 2) {
-    print "Usage: IGCM_add_out.awk [-d] file.output" 
+    print "Usage:  $
     print 
     print "Args:"
Index: /trunk/libIGCM/libIGCM_sys/IGCM_analyse_rsync_out.awk
===================================================================
--- /trunk/libIGCM/libIGCM_sys/IGCM_analyse_rsync_out.awk	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/IGCM_analyse_rsync_out.awk	(revision 5)
@@ -9,6 +9,6 @@
 # Contact: Martial.Mancip_ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.2 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Martial.Mancip@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.11 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: sebastien.denvil.@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.38 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -876,5 +876,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Martial.Mancip_ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.18 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -968,5 +968,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Martial.Mancip_ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.10 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -983,5 +983,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Martial.Mancip_ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.24 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -968,5 +968,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Martial.Mancip_ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.43 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -847,5 +847,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Martial.Mancip_ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.35 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -974,5 +974,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: Martial.Mancip_ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.6 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -932,5 +932,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: sebastien.denvil.@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.28 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -943,5 +943,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh	(revision 4)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh	(revision 5)
@@ -5,6 +5,6 @@
 # Contact: sebastien.denvil.@ipsl.jussieu.fr
 # $Date$
-# $Name: libIGCM_v1 $
-# $Revision: 1.1 $
+# $Author$
+# $Revision$
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -876,5 +876,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Purpose:  $
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/run.card.init
===================================================================
--- /trunk/libIGCM/run.card.init	(revision 4)
+++ /trunk/libIGCM/run.card.init	(revision 5)
@@ -1,2 +1,8 @@
+# $Date: $
+# $Name: $
+# $Revision: $
+# IPSL (2006)
+#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
+
 # contient la date du run en cours ou du run en attente 
 # last date of loop == .suivi