Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 16)
+++ /trunk/libIGCM/AA_create_se	(revision 17)
@@ -440,5 +440,6 @@
     #
 elif [ ${config_UserChoices_TagName} = "LMDZ4OR" ]  || \
-     [ ${config_UserChoices_TagName} = "LMDZ4OR_v2" ] ; then
+     [ ${config_UserChoices_TagName} = "LMDZ4OR_v2" ] || \
+     [ ${config_UserChoices_TagName} = "LMDz4OR_v2" ] ; then
     #
     IGCM_sys_QsubPost atlas_LMDZ         ;
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 16)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 17)
@@ -80,5 +80,5 @@
 typeset -r RSYNC_FRONT="rsh rhodes /usr/bin/rsync "
 # RSYNC_opt args to rsync
-typeset -r RSYNC_opt="-Lt -v"
+typeset -r RSYNC_opt="-va"
 # RSYNC_opt args to "remote rsync"
 # ie storage filesystem
@@ -574,6 +574,8 @@
     RET=$?
     if [ $RET -eq 0 ] ; then
-	echo rcp -r ${libIGCM} rhodes:${HOME}/${PATHlibIGCM} > out_rsync 2>&1
-	rcp -r ${libIGCM} rhodes:${HOME}/${PATHlibIGCM} >> out_rsync 2>&1
+# 	echo rcp -r ${libIGCM} rhodes:${HOME}/${PATHlibIGCM} > out_rsync 2>&1
+# 	rcp -r ${libIGCM} rhodes:${HOME}/${PATHlibIGCM} >> out_rsync 2>&1
+	echo ${RSYNC} ${RSYNC_opt} -e "rsh " --rsync-path=${REMOTE_RSYNC} ${libIGCM} rhodes:${HOME}/${PATHlibIGCM} > out_rsync 2>&1
+	${RSYNC} ${RSYNC_opt} -e "rsh " --rsync-path=${REMOTE_RSYNC} ${libIGCM} rhodes:${HOME}/${PATHlibIGCM} >> out_rsync 2>&1
 	RET=$?
 
@@ -876,5 +878,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose:  $
+#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
 #D-* Examples:
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 16)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 17)
@@ -86,4 +86,13 @@
 
 #====================================================
+# Source Ferret
+. /home/cont003/p86ipsl/.atlas_env_platine_ksh
+
+#====================================================
+# Specific for ocean additionnal diagnostic
+export FER_GO="$FER_GO /home/cont003/p86denv/IGCM_POST_UTIL/JNL /home/cont003/p86denv/GRAF /home/cont003/p86denv/GRAF/GO"
+export FER_PALETTE="$FER_PALETTE /home/cont003/p86denv/GRAF/PALET"
+
+#====================================================
 # Host specific DIRECTORIES
 #====================================================
@@ -114,4 +123,8 @@
 
 #====================================================
+#- OUT_SCR (ONLY FOR double copy an scratch)
+typeset -r R_OUT_SCR=${SCRATCHDIR}/IGCM_OUT
+
+#====================================================
 #- OUT_POST
 typeset -r R_OUT_POST=${SCRATCHDIR}/IGCM_OUT
@@ -119,5 +132,8 @@
 #====================================================
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
-typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${SCRATCHDIR}}
+typeset RUN_DIR_PATH=${RUN_DIR_PATH:=${SCRATCHDIR}}
+if [ $LSB_QUEUE == post ] ; then
+    typeset -r RUN_DIR_PATH=${SCRATCHDIR}/tmp$$
+fi
 
 #====================================================
@@ -368,5 +384,5 @@
     fi
 
-    \ls -lR ${@}
+    \tree -f $@
 
     IGCM_debug_PopStack "IGCM_sys_Tree"
@@ -383,9 +399,11 @@
 	echo "IGCM_sys_Tar :" $@
     fi
-    \tar xvf $1
+    \tar cvf $@
     if [ $? -gt 0 ] ; then
 	echo "IGCM_sys_Tar : erreur."
 	IGCM_debug_Exit "IGCM_sys_Tar"
     fi
+    \tar tvf $1
+
     IGCM_debug_PopStack "IGCM_sys_Tar"
 }
@@ -623,18 +641,14 @@
     typeset RET
 
-    \cp $@
+    echo mv $@ > out_rsync 2>&1
+    \mv $@ >> out_rsync 2>&1
     RET=$?
 
     if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in rsync."
+	echo "IGCM_sys_Mv : error in mv."
 	cat out_rsync
 	IGCM_debug_Exit "IGCM_sys_Mv"
     fi
 
-    \rm -f $1
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in rm."
-	IGCM_debug_Exit "IGCM_sys_Mv"
-    fi
     IGCM_debug_PopStack "IGCM_sys_Mv"
 }
@@ -691,4 +705,111 @@
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
 }
+#D-#==================================================
+#D-function IGCM_sys_Put_Dir
+#D-* Purpose: Copy a complete directory on $(ARCHIVE)
+#D-* Examples:
+#D-
+function IGCM_sys_Put_Dir {
+    IGCM_debug_PushStack "IGCM_sys_Put_Dir" $@
+    if ( $DEBUG_sys ) ; then
+	echo "IGCM_sys_Put_Dir :" $@
+    fi
+    if [ $DRYRUN = 0 ]; then
+	if [ ! -d ${1} ] ; then
+	    echo "WARNING : IGCM_sys_Put_Dir ${1} DOES NOT EXIST ."
+	    IGCM_debug_PopStack "IGCM_sys_Put_Dir"
+	    return
+	fi
+
+	typeset RET
+
+	# Only if we use rsync
+	#IGCM_sys_TestDirArchive $( dirname $2 )
+	#
+	#USUAL WAY
+	\cp -r $1 $2 > out_rsync 2>&1
+  	RET=$?
+
+	if [ ${RET} -gt 0 ] ; then
+	    echo "IGCM_sys_Put_Dir : error."
+	    cat out_rsync
+	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
+	fi
+    else
+	echo "DRYRUN mode = " $DRYRUN >> stack
+    fi
+    IGCM_debug_PopStack "IGCM_sys_Put_Dir"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_Get_Dir
+#D-* Purpose: Copy a complete directory from $(ARCHIVE)
+#D-* Examples:
+#D-
+function IGCM_sys_Get_Dir {
+    IGCM_debug_PushStack "IGCM_sys_Get_Dir" $@
+    if ( $DEBUG_sys ) ; then
+	echo "IGCM_sys_Get_Dir :" $@
+    fi
+    if [ $DRYRUN = 0 ]; then
+	if [ ! -d ${1} ] ; then
+	    echo "WARNING : IGCM_sys_Get_Dir ${1} DOES NOT EXIST ."
+	    IGCM_debug_PopStack "IGCM_sys_Get_Dir"
+	    return
+	fi
+
+	typeset RET
+
+	# Only if we use rsync
+	#IGCM_sys_TestDirArchive $( dirname $2 )
+	#
+	#USUAL WAY
+	\cp -r $1 $2 > out_rsync 2>&1
+  	RET=$?
+
+	if [ ${RET} -gt 0 ] ; then
+	    echo "IGCM_sys_Get_Dir : error."
+	    cat out_rsync
+	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
+	fi
+    else
+	echo "DRYRUN mode = " $DRYRUN >> stack
+    fi
+    IGCM_debug_PopStack "IGCM_sys_Get_Dir"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_Get_Master
+#D-* Purpose: Copy a complete directory from MASTER filesystem
+#D-* Examples:
+#D-
+function IGCM_sys_Get_Master {
+    IGCM_debug_PushStack "IGCM_sys_Get_Master" $@
+    if ( $DEBUG_sys ) ; then
+	echo "IGCM_sys_Get_Master :" $@
+    fi
+    if [ $DRYRUN = 0 ]; then
+	if [ ! -d ${1} ] ; then
+	    echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
+	    IGCM_debug_PopStack "IGCM_sys_Get_Master"
+	    return
+	fi
+
+	typeset RET
+
+	#USUAL WAY
+	\cp -r $1 $2 > out_rsync 2>&1
+  	RET=$?
+
+	if [ ${RET} -gt 0 ] ; then
+	    echo "IGCM_sys_Get_Master : error."
+	    cat out_rsync
+	    IGCM_debug_Exit "IGCM_sys_Get_Master"
+	fi
+    else
+	echo "DRYRUN mode = " $DRYRUN >> stack
+    fi
+    IGCM_debug_PopStack "IGCM_sys_Get_Master"
+}
 
 #D-#==================================================
@@ -712,19 +833,5 @@
         #
 	typeset RET
-
-	#=====================================================
-        #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
-        #=====================================================
-
-	#echo ${2} | grep "${R_OUT}" > /dev/null 2>&1
-	#if [ $? -eq 0 ] ; then
-	#    typeset WORKPATH FILEPATH
-	#    WORKPATH=$( dirname $2 | sed -e "s|${R_OUT}|${R_OUT_SCR}|" )
-	#    IGCM_sys_MkdirWork ${WORKPATH} 
-	#    FILEPATH=${WORKPATH}/$( basename $2 )
-        #    #
-	#    IGCM_sys_Cp ${1} ${FILEPATH}
-	#fi
-
+        #
 	IGCM_sys_Chmod 444 ${1}
 	#
@@ -789,5 +896,5 @@
 	#if [ $? -eq 0 ] ; then
 	#    # Yes  ? then we try to get it in SCRATCHDIR
-	#    set +A file_work $( echo ${dm_liste[*]} | sed -e "s|${R_OUT}|${R_OUT_SCR}|" )
+	#    set +A file_work $( echo ${dm_liste[*]} | sed -e "s|${R_OUT}|${R_OUT_SCR}|g" )
 	#    if [ -f ${file_work[0]} ] ; then
 	#	IGCM_sys_Cp ${file_work[*]} ${DEST}
@@ -813,7 +920,10 @@
   	    cat out_rsync
   	    IGCM_debug_Exit "IGCM_sys_Get"
+	    IGCM_debug_PopStack "IGCM_sys_Get"
+	    return
   	fi
 
         #USUAL WAY
+	(( RET=0 ))
 	if [ X${1} = X'/l' ] ; then
 	    (( RET=0 ))
@@ -853,5 +963,4 @@
 }
 
-############################################################## A REVOIR !!
 #D-#==================================================
 #D-function IGCM_sys_Put_Dods
@@ -865,6 +974,6 @@
     fi
     if [ $DRYRUN = 0 ]; then
-	if [ ! -f ${1} ] ; then
-	    echo "WARNING : IGCM_sys_Put_Dods ${1} DOES NOT EXIST ."
+	if [ ! -d ${R_SAVE}/${1} ] ; then
+	    echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
 	    IGCM_debug_PopStack "IGCM_sys_Put_Dods"
 	    return
@@ -873,10 +982,15 @@
 	typeset RET
 	#
-	/home/cont003/dods/bin/dods_cp $1 public/${LOGIN}/$1 > out_dods 2>&1
-        RET=$?
+	cd ${R_SAVE}
+	dods_rm public/${LOGIN}/${config_UserChoices_TagName}/${config_UserChoices_JobName}/${1} > /dev/null 2>&1
+	#/bin/chmod -R u+w  ${R_SAVE}/${1}
+	dods_cp ${1} public/${LOGIN}/${config_UserChoices_TagName}/${config_UserChoices_JobName} > /dev/null 2>&1
+	#/bin/chmod -R +rX ${R_SAVE}/${1}
+	#/bin/chmod -R a+rX /dmnfs/cont003/dods/public/${LOGIN}/${config_UserChoices_TagName}
+	#RET=$?
+	RET=0
 
 	if [ ${RET} -gt 0 ] ; then
 	    echo "IGCM_sys_Put_Dods : error."
-	    cat out_dods
 	    IGCM_debug_Exit "IGCM_sys_Put_Dods"
 	fi
@@ -932,5 +1046,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose:  $
+#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
 #D-* Examples:
 #D-
@@ -1079,5 +1193,5 @@
 	echo "IGCM_sys_ncra :" $@
     fi
-    /usr/local/bin/ncra $@
+    /applications/nco/bin/ncra $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncra : erreur ${@}."
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 16)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 17)
@@ -712,4 +712,5 @@
 
 	typeset RET
+	sleep 60
 
 	#USUAL WAY
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh	(revision 16)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh	(revision 17)
@@ -876,5 +876,5 @@
 #D-#==================================================
 #D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose:  $
+#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
 #D-* Examples:
 #D-