Index: trunk/libIGCM/AA_additionnal
===================================================================
--- trunk/libIGCM/AA_additionnal	(revision 17)
+++ trunk/libIGCM/AA_additionnal	(revision 18)
@@ -7,4 +7,5 @@
 #-Q- platine #BSUB -n 1                 # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00              # Limite temps
+#-Q- platine #BSUB -q post              # Passage en queue post
 #-Q- sx8brodie #######################
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
Index: trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZ	(revision 17)
+++ trunk/libIGCM/AA_atlas_LMDZ	(revision 18)
@@ -7,4 +7,5 @@
 #-Q- platine #BSUB -n 1                 # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00              # Limite temps
+#-Q- platine #BSUB -q post              # Passage en queue post
 #-Q- sx8brodie #######################
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
Index: trunk/libIGCM/AA_atlas_LMDZOR
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZOR	(revision 17)
+++ trunk/libIGCM/AA_atlas_LMDZOR	(revision 18)
@@ -7,4 +7,5 @@
 #-Q- platine #BSUB -n 1                 # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00              # Limite temps
+#-Q- platine #BSUB -q post              # Passage en queue post
 #-Q- sx8brodie #######################
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
Index: trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 17)
+++ trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 18)
@@ -7,4 +7,5 @@
 #-Q- platine #BSUB -n 1                 # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00              # Limite temps
+#-Q- platine #BSUB -q post              # Passage en queue post
 #-Q- sx8brodie #######################
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
Index: trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 17)
+++ trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 18)
@@ -7,4 +7,5 @@
 #-Q- platine #BSUB -n 1                 # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00              # Limite temps
+#-Q- platine #BSUB -q post              # Passage en queue post
 #-Q- sx8brodie #######################
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 17)
+++ trunk/libIGCM/AA_create_se	(revision 18)
@@ -7,4 +7,5 @@
 #-Q- platine #BSUB -n 1                      # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00                   # Limite temps
+#-Q- platine #BSUB -q post              # Passage en queue post
 #-Q- sx8brodie #######################
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 17)
+++ trunk/libIGCM/AA_create_ts	(revision 18)
@@ -7,4 +7,5 @@
 #-Q- platine #BSUB -n 1                      # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00                   # Limite temps
+#-Q- platine #BSUB -q post              # Passage en queue post
 #-Q- sx8brodie #######################
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 17)
+++ trunk/libIGCM/AA_monitoring	(revision 18)
@@ -7,4 +7,5 @@
 #-Q- platine #BSUB -n 1                      # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00                   # Limite temps
+#-Q- platine #BSUB -q post              # Passage en queue post
 #-Q- sx8brodie #######################
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##