Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 35)
+++ /trunk/libIGCM/AA_job	(revision 36)
@@ -336,5 +336,7 @@
     else
 	echo "EXECUTION of : ${MPIRUN_COMMAND} ${MPIRUN_OPTIONS} ./${config_Executable_Name} simulated for DRYRUN = " $DRYRUN
-	echo "FOR EXECUTION DRYRUN mode = " $DRYRUN >> stack
+	if ( $DEBUG_debug ) ; then
+	    echo "FOR EXECUTION DRYRUN mode = " $DRYRUN >> stack
+	fi
     fi
     echo "========================================================================"
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 35)
+++ /trunk/libIGCM/AA_monitoring	(revision 36)
@@ -53,6 +53,5 @@
 
 #===========================================
-
-RUN_DIR=${RUN_DIR_PATH}/MONITORING
+RUN_DIR=${RUN_DIR_PATH}
 IGCM_sys_MkdirWork ${RUN_DIR}
 IGCM_sys_Cd ${RUN_DIR}
@@ -61,6 +60,6 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    CARD_DIR=${RUN_DIR}/$( basename ${SUBMIT_DIR} )
+    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR}
 fi
 
Index: /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 36)
@@ -128,8 +128,8 @@
 #D-
 function IGCM_debug_PopStack {
-    if ( ${ExitFlag} ) ; then
-	echo '!!! ExitFlag has been activated !!!' >> stack
-    fi
     if ( $DEBUG_debug ) ; then
+	if ( ${ExitFlag} ) ; then
+	    echo '!!! ExitFlag has been activated !!!' >> stack
+	fi
 	if [ "${IGCM_debug_Stack[0]}" = "${1}" ]; then
 	    let $(( IGCM_debug_LenStack = IGCM_debug_LenStack - 1 ))
Index: /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 36)
@@ -315,13 +315,30 @@
         #
         typeset listVarEnv
-        listVarEnv="MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
+        listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
 
 	if [ ${RebuildFrequency} = true ] ; then
 	    #
-            echo IGCM_sys_QsubPost create_ts >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo export DEBUG_debug=${DEBUG_debug}     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo export MODIPSL=${MODIPSL}             >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo export libIGCM_SX=${libIGCM}          >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export libIGCM=${libIGCM_POST}        >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export SUBMIT_DIR=${SUBMIT_DIR}       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export POST_DIR=${POST_DIR}           >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export DateBegin=${DateBegin}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export PeriodDateEnd=${PeriodDateEnd} >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export StandAlone=false               >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_ATM=${RESOL_ATM}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_OCE=${RESOL_OCE}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_ICE=${RESOL_ICE}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_SRF=${RESOL_SRF}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo export listVarEnv=${listVarEnv}       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo IGCM_sys_MkdirWork ${POST_DIR}        >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo IGCM_debug_Verif_Exit                 >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo IGCM_sys_QsubPost create_ts           >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 	    #
 	else
 	    #
             IGCM_sys_RshPost <<-EOF
+            export DEBUG_debug=${DEBUG_debug}
             export MODIPSL=${MODIPSL}
 	    export libIGCM_SX=${libIGCM}
@@ -354,13 +371,30 @@
         #
         typeset listVarEnv
-	listVarEnv="MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
+	listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
 
 	if [ ${RebuildFrequency} = true ] ; then
 	    #
-            echo IGCM_sys_QsubPost create_se >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo export DEBUG_debug=${DEBUG_debug}     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo export MODIPSL=${MODIPSL}             >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo export libIGCM_SX=${libIGCM}          >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export libIGCM=${libIGCM_POST}        >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export SUBMIT_DIR=${SUBMIT_DIR}       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export POST_DIR=${POST_DIR}           >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export DateBegin=${DateBegin}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export PeriodDateEnd=${PeriodDateEnd} >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export StandAlone=false               >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_ATM=${RESOL_ATM}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_OCE=${RESOL_OCE}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_ICE=${RESOL_ICE}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_SRF=${RESOL_SRF}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export listVarEnv=${listVarEnv}       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo IGCM_sys_MkdirWork ${POST_DIR}        >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo IGCM_debug_Verif_Exit                 >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo IGCM_sys_QsubPost create_se           >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 	    #
 	else
 	    #
             IGCM_sys_RshPost <<-EOF
+            export DEBUG_debug=${DEBUG_debug}
             export MODIPSL=${MODIPSL}
 	    export libIGCM_SX=${libIGCM}
@@ -398,6 +432,7 @@
         #
         typeset listVarEnv
-        listVarEnv="MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,RebuildFromArchive,POST_DIR,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
+        listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,RebuildFromArchive,POST_DIR,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
         IGCM_sys_RshPost <<-EOF
+        export DEBUG_debug=${DEBUG_debug}
         export MODIPSL=${MODIPSL}
 	export libIGCM_SX=${libIGCM}
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 36)
@@ -270,5 +270,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -684,5 +684,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -718,5 +718,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -771,5 +771,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -824,5 +824,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -897,5 +897,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 36)
@@ -287,5 +287,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -678,5 +678,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -715,5 +715,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -749,5 +749,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -791,5 +791,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -836,5 +836,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -893,5 +893,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 36)
@@ -303,5 +303,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -696,5 +696,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -730,5 +730,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -764,5 +764,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -806,5 +806,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -851,5 +851,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -908,5 +908,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 36)
@@ -288,5 +288,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -681,5 +681,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -715,5 +715,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -749,5 +749,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -791,5 +791,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -836,5 +836,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -893,5 +893,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
@@ -916,5 +916,5 @@
 	#DO NOTHING
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dods"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 36)
@@ -257,5 +257,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -619,5 +619,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -656,5 +656,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -708,5 +708,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -774,5 +774,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -869,5 +869,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 36)
@@ -292,5 +292,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -663,5 +663,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -700,5 +700,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -734,5 +734,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -786,5 +786,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -884,5 +884,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
@@ -922,5 +922,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dods"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 36)
@@ -288,5 +288,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -677,5 +677,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -711,5 +711,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -745,5 +745,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -787,5 +787,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -832,5 +832,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -889,5 +889,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
@@ -912,5 +912,5 @@
 	#DO NOTHING
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dods"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 36)
@@ -303,5 +303,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -707,5 +707,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -743,5 +743,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -780,5 +780,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -814,5 +814,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -866,5 +866,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -964,5 +964,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
@@ -1002,5 +1002,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dods"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 36)
@@ -279,5 +279,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -654,5 +654,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -688,5 +688,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -724,5 +724,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -777,5 +777,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -852,5 +852,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
@@ -892,5 +892,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Dods"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh	(revision 35)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_zahir.ksh	(revision 36)
@@ -270,5 +270,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -698,5 +698,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -751,5 +751,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -824,5 +824,5 @@
 	fi
     else
-	echo "DRYRUN mode = " $DRYRUN >> stack
+	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"