Index: trunk/libIGCM/AA_job
===================================================================
--- trunk/libIGCM/AA_job	(revision 56)
+++ trunk/libIGCM/AA_job	(revision 57)
@@ -5,5 +5,5 @@
 #-Q- platine #BSUB -J ::Jobname::       # nom de la requete
 #-Q- platine #BSUB -N                   # message a la fin du job
-#-Q- platine #BSUB -o Script_Output_::Jobname::.1    # nom du fichier de sortie
+#-Q- platine #BSUB -o Script_Output_::Jobname::.000001    # nom du fichier de sortie
 #-Q- platine #BSUB -n ::JobNumProcTot::             # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00           # Limite temps
@@ -15,5 +15,5 @@
 #-Q- sx8brodie #PBS -m a                   # message a la fin du job
 #-Q- sx8brodie #PBS -j o                   # regroupement des sorties du job : standard error et output
-#-Q- sx8brodie #PBS -o Script_Output_::Jobname::.1  # nom du fichier de sortie
+#-Q- sx8brodie #PBS -o Script_Output_::Jobname::.000001  # nom du fichier de sortie
 #-Q- sx8brodie #PBS -S /usr/bin/ksh        # shell de soumission
 #-Q- sx8brodie #PBS -v BATCH_NUM_PROC_TOT=::JobNumProcTot::
@@ -29,5 +29,5 @@
 #-Q- sx8mercure #PBS -m a                     # message a la fin du job
 #-Q- sx8mercure #PBS -j o                     # regroupement des sorties du job : standard error et output
-#-Q- sx8mercure #PBS -o Script_Output_::Jobname::.1   # nom du fichier de sortie
+#-Q- sx8mercure #PBS -o Script_Output_::Jobname::.000001   # nom du fichier de sortie
 #-Q- sx8mercure #PBS -S /usr/bin/ksh          # shell de soumission
 #-Q- sx8mercure #PBS -v BATCH_NUM_PROC_TOT=::JobNumProcTot::
@@ -325,6 +325,8 @@
         echo "EXECUTION of : ${MPIRUN_COMMAND} ${MPIRUN_OPTIONS} ./${config_Executable_Name} > ${Exe_Output} 2>&1"
 	typeset RET
+	RUN_DATE_BEGIN=$( date '+%Y-%m-%dT%H:%M:%S' )
 	${MPIRUN_COMMAND} ${MPIRUN_OPTIONS} ./${config_Executable_Name} > ${Exe_Output} 2>&1
 	RET=$?
+	RUN_DATE_END=$( date '+%Y-%m-%dT%H:%M:%S' )
 	if [ ${RET} -gt 0 ] ; then
 	    echo "Return code of executable :" ${RET}
@@ -332,6 +334,6 @@
 	    IGCM_sys_Cp ${Exe_Output} ${SUBMIT_DIR}/${PREFIX}_${Exe_Output}_error
 	fi
-	echo ${REAL_DATE_INIT} >> ${Exe_Output}
-	date >> ${Exe_Output}
+	echo "libIGCM RunDateBegin=${RUN_DATE_BEGIN}"  >> ${Exe_Output}
+	echo "libIGCM RunDateEnd=${RUN_DATE_END}" >> ${Exe_Output}
     else
 	echo "EXECUTION of : ${MPIRUN_COMMAND} ${MPIRUN_OPTIONS} ./${config_Executable_Name} simulated for DRYRUN = " $DRYRUN
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 56)
+++ trunk/libIGCM/AA_monitoring	(revision 57)
@@ -94,5 +94,5 @@
     if [ ! "X${liste_file_monitoring}" = X ] ; then
 	IGCM_sys_Get /l liste_file_monitoring ${RUN_DIR}
-	monitoring01 -q -p ${comp} -t "${config_UserChoices_JobName} monitoring" -o ${RUN_DIR}/MONITORING ${FER_ATLAS}/${monitoring_file} ${RUN_DIR}
+	monitoring01 -q -c ${CARD_DIR} -p ${comp} -t "${config_UserChoices_JobName} monitoring" -o ${RUN_DIR}/MONITORING ${FER_ATLAS}/${monitoring_file} ${RUN_DIR}
     fi
     #
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 56)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 57)
@@ -289,5 +289,5 @@
 	    typeset LastPeriod Last_Script_Output_Name
 	    (( LastPeriod=CumulPeriod-PeriodNb ))
-	    Last_Script_Output_Name="${Script_Output_Prefix}_${config_UserChoices_JobName}.${LastPeriod}"
+	    Last_Script_Output_Name="${Script_Output_Prefix}_${config_UserChoices_JobName}.$( printf "%06d" ${LastPeriod} )"
  	    #eval ls -l ${SUBMIT_DIR}/${Last_Script_Output_Name}
  	    #eval IGCM_sys_Put_Out ${SUBMIT_DIR}/${Last_Script_Output_Name} ${R_OUT_KSH}/${Last_Script_Output_Name} > /dev/null 2>&1
@@ -425,4 +425,6 @@
 
     # ExeDate = ATM_Jun_12_09:34-SRF_Jun_12_09:34-OCE_Jun_12_09:34-ICE_Jun_12_09:34-CPL_Jun_12_09:33
+    # Would be nice to have next line but no way to format ls output (need to ls -l --time-style "+%Y-%m-%dT%H:%M")
+    # ExeDate = ATM_2009-06-12T09:34+SRF_2009-06-12T09:34+OCE_2009-06-12T09:34+ICE_2009-06-12T09:34+CPL_2009-06-12T09:34
     ExeDate=""
     NextExeSize="( "
@@ -442,5 +444,5 @@
 	    IGCM_sys_FileSize ${LS_bin} ExeSize
 
-	    set +A LS_comp -- $( ls -l ${LS_bin} )
+	    set +A LS_comp -- $( LC_TIME=en_US ls -l ${LS_bin} )
 	    if [ X${ExeDate} = X ] ; then 
 	        # First component exe date
@@ -478,7 +480,9 @@
 	ExeCpuLog=$( ${libIGCM}/libIGCM_sys/IGCM_add_out.awk ${Exe_Output}_tail.txt )
 	RET=$?
-	if [ $RET -eq 0 ] ; then 
-	    echo "("${CumulPeriod} " , " ${PeriodDateBegin} " , " ${PeriodDateEnd} \
-		" , " ${ExeCpuLog} " , "             ${ExeDate}") \\" >> ${SUBMIT_DIR}/run.card
+	if [ $RET -eq 0 ] ; then
+	    # ExeCpuLog variable contents 5 fields
+	    echo "${CumulPeriod} ${PeriodDateBegin} ${PeriodDateEnd} ${ExeCpuLog} ${ExeDate}" | \
+	     awk '{printf("# %11d | %15s | %15s | %19s | %19s | %15.5f | %15.5f | %15.5f | %s\n", \
+                              $1,$2,$3,$4,$5,$6,$7,$8,$9)}' >> ${SUBMIT_DIR}/run.card
 	fi
 	eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${Exe_Output}_tail.txt"
@@ -619,5 +623,5 @@
 
         # Name of next Ksh Script output :
-	eval Script_Output="${Script_Output_Prefix}_${config_UserChoices_JobName}.${CumulPeriod}"
+	eval Script_Output="${Script_Output_Prefix}_${config_UserChoices_JobName}.$( printf "%06d" ${CumulPeriod} )"
 
 	IGCM_debug_Print 1 "Submit next job"
Index: trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk
===================================================================
--- trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk	(revision 56)
+++ trunk/libIGCM/libIGCM_sys/IGCM_add_out.awk	(revision 57)
@@ -13,5 +13,5 @@
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
 # History:
-# Modification:
+# Modification: Patrick.Brockmann@cea.fr
 #
 #**************************************************************
@@ -76,12 +76,5 @@
 
   counter=0
-#  StartTime=[]
-#  EndTime=[]
-  Date_found=0
-
-
-#   print ENVIRON["LC_ALL"]
-#   ENVIRON["LC_ALL"]="fr_FR"
-#   print ENVIRON["LC_ALL"]
+
 }
 
@@ -199,15 +192,4 @@
     }
 
-    if( info=="Start Time (date)" ) {
-      StartTime[counter]=Res
-      next  
-    }
-
-    if( info=="End   Time (date)" ) {
-      EndTime[counter]=Res
-      Information_found=0
-      next
-    }
-
   }
 # Get information with time output on other hosts
@@ -245,22 +227,17 @@
 
   }
-# date end
-# date begin
-  else if (Date_found == 0 && (match($0, "[a-z]+ *[a-z]+ *[0-9]+ *[0-9][0-9]:[0-9][0-9]:[0-9][0-9] *CET *[0-9]+")))
-  {
+
+# RUN_DATE_BEGIN
+if ($0 ~ /RunDateBegin.*=/) {
     myprint( "start date" )
-
-    Date_found=1
-    StartTime[counter]=$0
-
-  }
-  else if (Date_found == 1 && (match($0, "[a-z]+ *[a-z]+ *[0-9]+ *[0-9][0-9]:[0-9][0-9]:[0-9][0-9] *CET *[0-9]+")))
-  {
+    split($0,a,"=")
+    RunDateBegin=a[2]
+}
+
+# RUN_DATE_END
+if ($0 ~ /RunDateEnd.*=/) {
     myprint( "end date" )
-
-    EndTime[counter]=$0
-
-    exit
-
+    split($0,a,"=")
+    RunDateEnd=a[2]
   }
 
@@ -293,9 +270,8 @@
 
       myprint("Date of executables :")
-      for (i=1; i<=counter; i++) {  
-        myprint("Start Time (date)      :" StartTime[i])
-        myprint("End   Time (date)      :" EndTime[i])
-      }
-      printf("%s , %s , %.5f , %.5f , %.5f", StartTime[counter], EndTime[counter], RealTime, UserTime, SysTime) 
+      myprint("Start Time             :" RunDateBegin)
+      myprint("End   Time             :" RunDateEnd)
+
+      printf("%s %s %.5f %.5f %.5f", RunDateBegin, RunDateEnd, RealTime, UserTime, SysTime) 
       exit(0)
     }
Index: trunk/libIGCM/run.card.init
===================================================================
--- trunk/libIGCM/run.card.init	(revision 56)
+++ trunk/libIGCM/run.card.init	(revision 57)
@@ -5,10 +5,9 @@
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
 
-# contient la date du run en cours ou du run en attente 
-# last date of loop == .suivi
+#========================================================================
 [Configuration]
 #last PREFIX
 OldPrefix=
-#Compute date of loop == .suivi
+#Compute date of loop
 PeriodDateBegin=
 PeriodDateEnd=
@@ -17,7 +16,6 @@
 PeriodState="Start"
 
-# contient la trace des executions
+#========================================================================
 [PostProcessing]
-# postraitements state == .date
 
 #RebuildRunning=y/n
@@ -30,8 +28,10 @@
 SeasonalRunning=n
 
-# machine time == .log
+#========================================================================
 [Log]
 # Executables Size
 LastExeSize=()
-# CumulPeriod | PeriodDateBegin | PeriodDateEnd | RunDateBegin      | RunDateEnd        | RealCpuTime | UserCpuTime | SysCpuTime | ExeDate 
-ExeLog = \
+
+#------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
+# CumulPeriod | PeriodDateBegin |   PeriodDateEnd |        RunDateBegin |          RunDateEnd |     RealCpuTime |     UserCpuTime |      SysCpuTime | ExeDate
+#------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------